Ticket #42994

Sanity check Wonder upkeep

Open Date: 2021-10-08 01:33 Last Update: 2021-10-19 13:39

Reporter:
Owner:
Type:
Status:
Closed
Component:
MileStone:
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed
File:
4

Details

Related to #42993 reported by Lexxie. There should be ruleset loading time sanity check that upkeep value given for a wonder is zero. Wonder upkeep is already always considered zero, but the ruleset author is being left under impression that the nonzero value from the ruleset is being accepted.

Ticket History (3/10 Histories)

2021-10-08 01:33 Updated by: cazfi
  • New Ticket "Sanity check Wonder upkeep" created
2021-10-09 14:32 Updated by: cazfi
  • Resolution Update from None to Accepted
  • Milestone Update from (None) to 2.6.6 (closed)
2021-10-09 15:51 Updated by: cazfi
Comment

Alien ruleset fails this sanity check: #43002

That needs to be addressed before applying this. Moreover, we probably should not completely fail loading rulesets that previously loaded fine in d3f branches.

2021-10-10 03:29 Updated by: cazfi
Comment

Reply To cazfi

Moreover, we probably should not completely fail loading rulesets that previously loaded fine in d3f branches.

Attached new versions of the patch for S2_6 and S3_0 that give just deprecation warning when there's wonder with nonzero upkeep.

2021-10-12 17:23 Updated by: cazfi
Comment

Before this can be pushed, master needs #43033 and S3_1 #43006

2021-10-19 13:39 Updated by: cazfi
  • Status Update from Open to Closed
  • Owner Update from (None) to cazfi
  • Resolution Update from Accepted to Fixed

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login